> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Signed Jwt

> Verify TEE-signed Google JWT attestation. Sets tee_validated flag on session.

Checks:
- msg in auth_payload == session_key (binds attestation to this session)
- hash_email matches session email
- Ed25519 signature is valid using TEE_PUBLIC_KEY



## OpenAPI

````yaml /openapi.json post /api/v1/auth/submit_signed_jwt
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/auth/submit_signed_jwt:
    post:
      tags:
        - auth
      summary: Submit Signed Jwt
      description: >-
        Verify TEE-signed Google JWT attestation. Sets tee_validated flag on
        session.


        Checks:

        - msg in auth_payload == session_key (binds attestation to this session)

        - hash_email matches session email

        - Ed25519 signature is valid using TEE_PUBLIC_KEY
      operationId: submit_signed_jwt_api_v1_auth_submit_signed_jwt_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitSignedJwtRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SubmitSignedJwtRequest:
      properties:
        sessionKey:
          type: string
          title: Sessionkey
          description: Session key from auth/start
        authPayload:
          type: string
          title: Authpayload
          description: JSON auth_payload from TEE attestation
        signature:
          type: string
          title: Signature
          description: Base58 Ed25519 signature from TEE
      type: object
      required:
        - sessionKey
        - authPayload
        - signature
      title: SubmitSignedJwtRequest
      description: Request for submitting TEE-signed Google JWT attestation.
    StatusResponse:
      properties:
        status:
          type: string
          title: Status
          default: ok
      type: object
      title: StatusResponse
      description: Simple status response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````